# Widget Top Up

### URL Endpoint <a href="#url-endpoint" id="url-endpoint"></a>

| Environment | Method | URL                                                  |
| ----------- | ------ | ---------------------------------------------------- |
| Development | POST   | <https://demos.finnet.co.id/apicobrand/widget/topup> |
| Production  | POST   |                                                      |

### Request Get Widget <a href="#request-get-widget" id="request-get-widget"></a>

| No | Name        | Type             | Mandatory | Min Length | Max Length | Description                                     |
| -- | ----------- | ---------------- | --------- | ---------- | ---------- | ----------------------------------------------- |
| 1  | phoneNumber | String           | M         | 1          | 12         | Partner's phone number                          |
| 2  | reqDtime    | String           | M         | 1          | 14         | Format yyyymmddhh24iiss (GMT+7)                 |
| 3  | requestType | String           | M         | 1          | 12         | Fill with 'widgetTopup'                         |
| 4  | signature   | Alphanumeric(64) | M         | 1          | 64         | Signature algorithm                             |
| 5  | tokenID     | String           | M         | 1          | 100        | tokenID from getToken response                  |
| 6  | transNumber | String           | M         | 1          | 100        | Unique transaction ID from the partners (mitra) |

#### Sample Request <a href="#sample-request" id="sample-request"></a>

```
{ 
  "requestType": "widgetTopUp", 
  "reqDtime": "20240814165151", 
  "tokenID": "20240814165151225DFBF01D5C3B572BE0A7BC90A0834EF4EBD5BA0EBFA74DFE99560A33BDAC08", 
  "transNumber": "202408141651512476", 
  "phoneNumber": "08111008696", 
  "signature": "E54F47EA5B16644B527AE9ACEFA04BA675A50F01D882D66CDD81A68F5C3AF4E5" 
}
```

### Response Get Widget <a href="#response-get-widget" id="response-get-widget"></a>

| No | Name           | Type   | Mandatory | Min Length | Max Length | Description                    |
| -- | -------------- | ------ | --------- | ---------- | ---------- | ------------------------------ |
| 1  | statusCode     | String | M         | 3          | 5          | 000 indicates success          |
| 2  | statusDesc     | String | M         | 1          | 100        | Description of statusCode      |
| 3  | widgetURL      | String | M         | 1          | 100        | URL Redirect                   |
| 4  | processingTime | Float  | M         | 1          | 20         | API processing time in seconds |

#### Sample Response <a href="#sample-response" id="sample-response"></a>

```
{ 
  "statusCode": "000", 
  "statusDesc": "Success", 
  "widgetURL": "https://demos.finnet.co.id/apicobrand/widget/api/topup.php?access=0606823ebb919f12480d134564aff3522445b1c8b17200ddeeac4046589142d1", 
  "processingTime": 0.15064716339111328 
}
```

### User Interface Widget <a href="#user-interface-widget" id="user-interface-widget"></a>

![User Interface Widget](https://hub.finpay.id/assets/images/ui-widgettopup-4db2708298c9aedfdba9fc491ba22319.webp)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-money/widget/widget-top-up.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
